Bug 202370 - RFE: provide 'nash' in an own package
RFE: provide 'nash' in an own package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-13 14:47 EDT by Enrico Scholz
Modified: 2008-07-14 15:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: 6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-14 15:56:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2006-08-13 14:47:59 EDT
Description of problem:

'nash' and rest of 'mkinitrd' are having having different purposes and
should be packaged separately:

* 'nash' is required by 'initscripts', which in turn is required by a
  lot of other package

* the kernel-install part of 'mkinitrd' has dependencies e.g. on lvm2
  or cpio which are not required by a small amount of packages only

To reduce dependencies, it would be nice when 'nash' would be in an
own package.


Version-Release number of selected component (if applicable):

mkinitrd-5.1.2-1


Steps to Reproduce:
1. build a minimal chroot environment with a simple daemon; e.g.
   | yum --installroot /tmp/root vsftpd


Actual results:

stuff like lvm2 which is not needed for 'vsftpd' will be installed
Comment 1 Francis Shim 2006-12-19 11:53:36 EST
Using Fedora Core 6 with development packages added, I have nash-6.0.2-1.

nash is linked against libraries that are in /usr/lib, but /usr is on a separate
partition mount point than /; hence, I am getting messages that says that
libraries are not found when nash is invoked at kernel boot time (in particular,
when the initrd scripts are being run at boot time).

Peace,
Frank
Comment 2 Charlie Bennett 2007-01-03 15:19:36 EST
The original bug is fixed in FC6.  nash has its own package.

Note You need to log in before you can comment on or make changes to this bug.